## com.arsdigita.docmgr
Interface Lockable

public interface Lockable

This interface specifies functionality to lock a an object by a user.

Stability: Experimental

Author:
  Stefan Deusch (stefan@arsdigita.com)

Method Summary
`com.arsdigita.kernel.Party` `getLockedParty()` Retrieves the user who locked the process.
`boolean` `isLocked()` Checks whether the task is locked by a user.
`void` `lock(com.arsdigita.kernel.Party user)` Applies a lock to an object owned by the user
`void` `unlock(com.arsdigita.kernel.Party user)` Party who previously locked object, unlocks it now.

Method Detail

### lock

    public void lock(com.arsdigita.kernel.Party user)

  Applies a lock to an object owned by the user

### unlock

    public void unlock(com.arsdigita.kernel.Party user)

  Party who previously locked object, unlocks it now.

### isLocked

    public boolean isLocked()

  Checks whether the task is locked by a user.

  Returns:
    `true` if the task is locked by a user; `false` otherwise.

### getLockedParty

    public com.arsdigita.kernel.Party getLockedParty()

  Retrieves the user who locked the process.

  Returns:
    the user who locked the process.

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC